Subject: Re: [LON-CAPA-dev] Print issues with html files in a .page

From: Stefan Bisitz <[email-masked]>
Date: Fri, 07 Dec 2007 14:50:47 +0100

Guy Albertelli II wrote:
> > I created a testpage to see if I could use a .page to combine 
> some html
> > files. Printing this page stops due to LaTeX errors (Unpublished 
> .page,> printed as author from Construction Space):
> > ! LaTeX Error: Missing \begin{document}
> > ...
> 
> Looking at the generated LaTeX file can usually be highly instructive
> as to what is wrong.

There is not much information provided:
- "Your log file" doesn't really help.
- "Your original LaTeX file" opens a window with the LON-CAPA page
editor. A bit strange...

> Especially since \begin{document} isn't even in there. That usually
> indicates an ISE occured when trying to do the HTML->tex conversion
> step.
> 
> My guess would be it's very likely that it's the print from CSTR that
> is causing the issue.
> 
> I'd suspect it would work fine to publish it and attempt the print
> from in a course.

Yes, it works fine when published and printed from in a course!

> > [...]
> I think that .page printing (and many aspects of .page usage) has
> gotten much better over the 2.4/5/6 dev cycle (Thanks mainly to
> Colorado School of Mines using them and putting up with the bugs and
> getting us feedback about patches, Thanks CSM & Todd Ruskell!)
> 
> 2.6 finally will see <imageresponse> being fully functional in
>  .pages..

Ok, nice to hear (again) that the community helps to improve LON-CAPA.

> > The actual question is: What is the easiest way to combine some 
> already> existing html files in LON-CAPA to
> > a) look like one document when printed
> > b) create ONE pdf/html/...? file which contains all the html files
> 
> I'm assuming you don't like some aspect of the printed results of
> putting them in one .sequence and printing everything in the
> .sequence?

Hm, good idea. I haven't thought about this way of combining the html
files. It may be different when used as course content but the same when
printed.

Now I have two solutions for one problem. ;-)

Guy, you always find some way. Thank you!

Stefan